import React from "react";
import { render } from "@testing-library/react-native";
import { AtomCountDown } from "./index";

jest.useRealTimers();

describe("[Native] AtomCountDown", () => {
  it("Rendered component", async () => {
    const mockCallback = jest.fn();
    const props = {
      size: 150,
      dataStart: "2022/01/01 16:00:00",
      dataFinish: "2022/01/01 16:00:10",
      strokeBgColor: "primary",
      strokeColor: "primary100",
      strokeWidth: 6,
      onFinish: () => mockCallback,
    } as const;

    const component = render(<AtomCountDown {...props} />);

    expect(component).toBeTruthy();
  }, 10000);
});
